
/**
 * Multicast socket listener.
 * Listens on given multicast address and port and prints all received datagram packets.
 * (c) 2002 by Svetlin Nakov - http://www.nakov.com
 */

import java.net.*;

public class MulticastListener
{

	public static final String MULTICAST_GROUP_ADDRESS = "224.0.0.1";
	public static final int MULTICAST_GROUP_PORT = 2002;

	public static final int BUFFER_SIZE = 4096;

	public static void main(String[] args)
	{
		try {
			InetAddress multicastAddress = InetAddress.getByName(MULTICAST_GROUP_ADDRESS);

			byte[] buffer = new byte[BUFFER_SIZE];
			DatagramPacket packet = new DatagramPacket(buffer, buffer.length);

			MulticastSocket multicastSocket = new MulticastSocket(MULTICAST_GROUP_PORT);
			multicastSocket.joinGroup(multicastAddress);
			System.out.println("Listening for packets on multicast address " +
				multicastAddress.getHostAddress() + " on port " + multicastSocket.getLocalPort() + " ...");
			while (true) {
				multicastSocket.receive(packet);
				String s = new String(packet.getData(), 0, packet.getLength());
				System.out.println(s);
			}
		} catch (Exception ex) {
			System.err.println(ex);
		}
	}

}
