
/**
 * Multicast socket packet sender.
 * Sends multicast datagram packets to given multicast address and port.
 * (c) 2002 by Svetlin Nakov - http://www.nakov.com
 */

import java.net.*;

public class MulticastSender
{

	public static final String MULTICAST_GROUP_ADDRESS = "224.0.0.1";
	public static final int MULTICAST_GROUP_PORT = 2002;

	public static final int BUFFER_SIZE = 4096;

	public static void main(String[] args)
	{
		try {
			InetAddress multicastAddress = InetAddress.getByName(MULTICAST_GROUP_ADDRESS);
			MulticastSocket multicastSocket = new MulticastSocket(MULTICAST_GROUP_PORT);
			multicastSocket.joinGroup(multicastAddress);
			while (true) {
				String message = "Hello " + new java.util.Date().getTime();
				DatagramPacket packet =	new DatagramPacket(
					message.getBytes(), message.length(),
					multicastAddress, MULTICAST_GROUP_PORT);
				System.out.println("Sending message '" + message + "' to multicast address " +
					packet.getAddress().getHostAddress() + " on port " + packet.getPort());
				multicastSocket.send(packet);
				Thread.sleep(1000);
			}
		} catch (Exception ex) {
			System.err.println(ex);
		}
	}

}
